Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Interface PrincipalValidator

All Known Implementing Classes:
  PrincipalValidatorImpl

public interface PrincipalValidator

The `PrincipalValidator` interface defines the methods that custom Principal Validation providers must implement to support principal trust relationships within the context of the Weblogic Server environment. Principal Validation providers are used with Authentication providers to provide additional security protections for the principals contained within the subject.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Class` | `getPrincipalBaseClass()` Gets the base `Principal` class validated and signed by this Principal Validation provider.
`boolean` | `sign(Principal principal)` Signs the principal to assure trust.
`boolean` | `validate(Principal principal)` Verifies that the principal has not been altered since it was signed.

Method Detail

### getPrincipalBaseClass

    public Class getPrincipalBaseClass()

  Gets the base `Principal` class validated and signed by this Principal Validation provider.

  Returns:
    the base supported `Principal` class.

### sign

    public boolean sign(Principal principal)

  Signs the principal to assure trust.

  Parameters:
    `principal` - the principal to sign.

  Returns:
    `TRUE` if the principal has been signed, `FALSE` if the principal has not been signed.

### validate

    public boolean validate(Principal principal)
                     throws SecurityException

  Verifies that the principal has not been altered since it was signed.

  Parameters:
    `principal` - the principal to validate.

  Returns:
    `TRUE` if the principal has been validated, `FALSE` if the principal has not been validated.

  Throws:
    `SecurityException` - if the signature is invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD